com.unitech.stuhfl

## Enum STUHFL_E.RWD_CFG_ID

- java.lang.Object
- - java.lang.Enum<STUHFL_E.RWD_CFG_ID>
  - - com.unitech.stuhfl.STUHFL_E.RWD_CFG_ID

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<STUHFL_E.RWD_CFG_ID>
  Enclosing class:
    STUHFL_E

      public static enum STUHFL_E.RWD_CFG_ID
      extends java.lang.Enum<STUHFL_E.RWD_CFG_ID>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANTENNA_SWITCH`
    `EXTVCO`
    `HARDWARE_ID_NUM`
    `INP`
    `PA`
    `POWER_DOWN_MODE`
    `TUNER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static STUHFL_E.RWD_CFG_ID` | `int2Enum(int id)`
    `int` | `toInt()`
    `static STUHFL_E.RWD_CFG_ID` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static STUHFL_E.RWD_CFG_ID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POWER_DOWN_MODE

          public static final STUHFL_E.RWD_CFG_ID POWER_DOWN_MODE

    - #### EXTVCO

          public static final STUHFL_E.RWD_CFG_ID EXTVCO

    - #### PA

          public static final STUHFL_E.RWD_CFG_ID PA

    - #### INP

          public static final STUHFL_E.RWD_CFG_ID INP

    - #### ANTENNA_SWITCH

          public static final STUHFL_E.RWD_CFG_ID ANTENNA_SWITCH

    - #### TUNER

          public static final STUHFL_E.RWD_CFG_ID TUNER

    - #### HARDWARE_ID_NUM

          public static final STUHFL_E.RWD_CFG_ID HARDWARE_ID_NUM

  - ### Method Detail

    - #### values

          public static STUHFL_E.RWD_CFG_ID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (STUHFL_E.RWD_CFG_ID c : STUHFL_E.RWD_CFG_ID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static STUHFL_E.RWD_CFG_ID valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toInt

          public int toInt()

    - #### int2Enum

          public static STUHFL_E.RWD_CFG_ID int2Enum(int id)